Custom Query (50762 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (7 - 9 of 50762)

1 2 3 4 5 6 7 8 9 10 11 12 13
Ticket Resolution Summary Owner Reporter
#61230 fixed zimg @3.0.1: error: default initialization of an object of const type 'const resize::BilinearFilter' without a user-provided default constructor herbygillot (Herby Gillot) ryandesign (Ryan Schmidt)
Description

zimg fails to build on 10.11 and earlier:

https://build.macports.org/builders/ports-10.11_x86_64-builder/builds/122214/steps/install-port/logs/stdio

src/zimg/graph/graphbuilder.cpp:1021:38: error: default initialization of an object of const type 'const resize::BilinearFilter' without a user-provided default constructor
        static const resize::BilinearFilter bilinear;
                                            ^
                                                    {}
#61228 duplicate object-introspection fails to build jeffszuhay (Jeff Szuhay)
Description
Pollux:~ jeff$ sudo port uninstall gobject-introspection
Pollux:~ jeff$ sudo port clean gobject-introspection
--->  Cleaning gobject-introspection
Pollux:~ jeff$ sudo port -Rus upgrade outdated
--->  Computing dependencies for gobject-introspection
--->  Fetching distfiles for gobject-introspection
--->  Verifying checksums for gobject-introspection
--->  Extracting gobject-introspection
--->  Applying patches to gobject-introspection
--->  Configuring gobject-introspection
--->  Building gobject-introspection
Error: Failed to build gobject-introspection: command execution failed
#61227 duplicate (request) vaporsynth port for mpv mrkapqa
Description

Hello,

it has been suggested to open up a request for this port

mpv with vaporsynth

it would like to use with svp4 software;

possible to build with home-brew; there is a specific script for this , which builds on my computer only from high-sierra onwards.

for mpv these are the packages being built on home-brew

Downloading from https://codeload.github.com/mpv-player/mpv/tar.gz/v0.32.0 ==> Installing dependencies for mpv: pkg-config, gdbm, openssl@1.1, readline, sqlite, xz, python@3.8, docutils, nasm, sphinx-doc, cmake, yasm, aom, ninja, meson, dav1d, libpng, freetype, fontconfig, frei0r, autoconf, automake, gmp, gnu-sed, bdw-gc, libffi, libtool, libunistring, guile, gettext, libidn2, libtasn1, nettle, p11-kit, libevent, unbound, gnutls, lame, fribidi, pcre, glib, lzo, pixman, cairo, bison, gobject-introspection, graphite2, icu4c, harfbuzz, libass, openjdk, ant, libbluray, libsoxr, libvidstab, libogg, libvorbis, libvpx, opencore-amr, jpeg, libtiff, little-cms2, openjpeg, opus, libssh2, rust, libgit2, cargo-c, rav1e, rtmpdump, flac, libsndfile, libsamplerate, rubberband, sdl2, snappy, speex, srt, autoconf-archive, giflib, webp, leptonica, tesseract, theora, isl, mpfr, libmpc, gcc, x264, x265, xvid, ffmpeg, libb2, lz4, zstd, libarchive, lua@5.1, mujs, uchardet, cython, zimg, vapoursynth and youtube-dl

from what I understand this software "vapoursynth" is a critical piece for this svp software;

it seems less available also on linux as one has to build it oneself on Debian or Ubuntu (which I use).

Hope this can be achieved as it seems a nice feature (although the software svp is free only on linux, and trial ware for windows and Mac OS)

iam reporting this here as home-brew seems less open to support older version.

on Mac OS Sierra the build-script went nearly through

local/Cellar/gobject-introspection/1.66.0/lib --buildtype=release --wrap-mode=nofallback -Dpython=/usr/local/opt/python@3.8/bin/python3 ..
==> ninja -v
==> ninja install -v
🍺  /usr/local/Cellar/gobject-introspection/1.66.0: 191 files, 12.5MB, built in 1 minute 3 seconds
==> Installing mpv dependency: graphite2
==> cmake .
==> make install
🍺  /usr/local/Cellar/graphite2/1.3.14: 18 files, 236.7KB, built in 14 seconds
==> Installing mpv dependency: icu4c
==> ./configure --prefix=/usr/local/Cellar/icu4c/67.1 --disable-samples --disable-tests --enable-static --with-library-bits=64
==> make
Last 15 lines from /Users/rich/Library/Logs/Homebrew/icu4c/02.make:
*** Failed compilation command follows: ----------------------------------------------------------
clang++ -DU_ATTRIBUTE_DEPRECATED= -DU_I18N_IMPLEMENTATION -DU_HAVE_STRTOD_L=1 -DU_HAVE_XLOCALE_H=1 -DU_HAVE_STRING_VIEW=1 -I. -I../common -O2 -W -Wall -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long -std=c++11 -Qunused-arguments -Wno-parentheses-equality -Wglobal-constructors -fvisibility=hidden -fno-common -c -MMD -MT msgfmt.d msgfmt.o msgfmt.ao -o msgfmt.ao msgfmt.cpp
--- ( rebuild with "/Applications/Xcode.app/Contents/Developer/usr/bin/make VERBOSE=1 all" to show all parameters ) --------
make[1]: *** [msgfmt.ao] Error 1
3 errors generated.
*** Failed compilation command follows: ----------------------------------------------------------
clang++ -DU_ATTRIBUTE_DEPRECATED= -DU_I18N_IMPLEMENTATION -DU_HAVE_STRTOD_L=1 -DU_HAVE_XLOCALE_H=1 -DU_HAVE_STRING_VIEW=1 -I. -I../common -O2 -W -Wall -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long -std=c++11 -Qunused-arguments -Wno-parentheses-equality -Wglobal-constructors -fvisibility=hidden -fno-common -c -MMD -MT decimfmt.d decimfmt.o decimfmt.ao -o decimfmt.ao decimfmt.cpp
--- ( rebuild with "/Applications/Xcode.app/Contents/Developer/usr/bin/make VERBOSE=1 all" to show all parameters ) --------
make[1]: *** [decimfmt.ao] Error 1
3 errors generated.
*** Failed compilation command follows: ----------------------------------------------------------
clang++ -DU_ATTRIBUTE_DEPRECATED= -DU_I18N_IMPLEMENTATION -DU_HAVE_STRTOD_L=1 -DU_HAVE_XLOCALE_H=1 -DU_HAVE_STRING_VIEW=1 -I. -I../common -O2 -W -Wall -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long -std=c++11 -Qunused-arguments -Wno-parentheses-equality -Wglobal-constructors -fvisibility=hidden -fno-common -c -MMD -MT numfmt.d numfmt.o numfmt.ao -o numfmt.ao numfmt.cpp
--- ( rebuild with "/Applications/Xcode.app/Contents/Developer/usr/bin/make VERBOSE=1 all" to show all parameters ) --------
make[1]: *** [numfmt.ao] Error 1
make: *** [all-recursive] Error 2

Do not report this issue to Homebrew/brew or Homebrew/core!

Error: You are using macOS 10.12.
We (and Apple) do not provide support for this old version.
You will encounter build failures with some formulae.
Please create pull requests instead of asking for help on Homebrew's GitHub,
Discourse, Twitter or IRC. You are responsible for resolving any issues you
experience while you are running this old version.

These open issues may also help:
icu4c 67.1 (make C++14 compatible) https://github.com/Homebrew/homebrew-core/pull/59540

/Volumes/SVP 4 Mac/Install mpv.command: line 27: /Users/rich/.config/mpv/mpv.conf: No such file or directory
logout
Saving session...
...copying shared history...
...saving history...truncating history files...
...completed.
Deleting expired sessions...none found.
1 2 3 4 5 6 7 8 9 10 11 12 13
Note: See TracQuery for help on using queries.